<?php
/**
* 2007-2018 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2018 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

require_once _PS_MODULE_DIR_.'avsheaderemailblock/classes/AvsEmailInfoBlock.php';

class AvsEmailSampleData
{
	public function initData()
	{
        $return = true;
        $tab_texts = array(
            array(
                'es' => '<div class="email-content">
                                <div class="email-icon"></div>
                                    <div class="email-info">
                                        <div class="email-title">
                                            Email Us :
                                        </div>
                                        <div class="email-number">
                                        <a>adminshop@gamil.com</a>
                                    </div>
                                </div>
                        </div>',
                    'fr' => '<div class="email-content">
                                <div class="email-icon"></div>
                                    <div class="email-info">
                                        <div class="email-title">
                                            Email Us :
                                        </div>
                                        <div class="email-number">
                                        <a>adminshop@gamil.com</a>
                                    </div>
                                </div>
                        </div>',
                    'pl' => '<div class="email-content">
                                <div class="email-icon"></div>
                                    <div class="email-info">
                                        <div class="email-title">
                                            Email Us :
                                        </div>
                                        <div class="email-number">
                                        <a>adminshop@gamil.com</a>
                                    </div>
                                </div>
                        </div>',
                    'it' => '<div class="email-content">
                                <div class="email-icon"></div>
                                    <div class="email-info">
                                        <div class="email-title">
                                            Email Us :
                                        </div>
                                        <div class="email-number">
                                        <a>adminshop@gamil.com</a>
                                    </div>
                                </div>
                        </div>',
                    'text' => '<div class="email-content">
                                <div class="email-icon"></div>
                                    <div class="email-info">
                                        <div class="email-title">
                                            Email Us :
                                        </div>
                                        <div class="email-number">
                                        <a>adminshop@gamil.com</a>
                                    </div>
                                </div>
                        </div>'
            ),
        );

        $shops_ids = Shop::getShops(true, null, true);

        foreach ($tab_texts as $tab) {
            $avsheaderblock = new AvsEmailInfoBlock();
            foreach (Language::getLanguages(false) as $lang) {
                if($lang['iso_code'] == 'fr') {
                    $avsheaderblock->text[$lang['id_lang']] = $tab['fr'];
                } else if($lang['iso_code'] == 'es') {
                    $avsheaderblock->text[$lang['id_lang']] = $tab['es'];
                } else if($lang['iso_code'] == 'it') {
                    $avsheaderblock->text[$lang['id_lang']] = $tab['it'];
                }else if($lang['iso_code'] == 'pl') {
                    $avsheaderblock->text[$lang['id_lang']] = $tab['pl'];
                }else {
                    $avsheaderblock->text[$lang['id_lang']] = $tab['text'];
                }
            }
            foreach ($shops_ids as $id_shop) {
                $avsheaderblock->id_shop = $id_shop;
                $return &= $avsheaderblock->add();
            }
        }

        return $return;
	}
}
