{**
* 2007-2018 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2018 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<div id="avspc-countdowns-list">
    <div class="panel">
        <div class="panel-heading">
            <i class="icon-cogs"></i> {l s='Countdown list' mod='avsproductcountdown'}
        </div>
        <div class="form-wrapper">
            <div class="form-group">
                <div class="table-responsive-row">
                    <table class="table">
                        <thead>
                        <tr>
                            <th>{l s='Product' mod='avsproductcountdown'}</th>
                            <th>{l s='Name' mod='avsproductcountdown'}</th>
                            <th>{l s='From' mod='avsproductcountdown'}</th>
                            <th>{l s='To' mod='avsproductcountdown'}</th>
                            <th>{l s='State' mod='avsproductcountdown'}</th>
                            <th>{l s='Actions' mod='avsproductcountdown'}</th>
                        </tr>
                        </thead>
                        <tbody>
                        {foreach from=$countdowns item=countdown}
                            <tr>
                                <td>#{$countdown.id_product|intval} {$countdown.product_name|escape:'html':'UTF-8'}</td>
                                <td>{$countdown.name|escape:'html':'UTF-8'}</td>
                                <td>{$countdown.from|escape:'html':'UTF-8'}</td>
                                <td>{$countdown.to|escape:'html':'UTF-8'}</td>
                                <td>
                                    {if !$countdown.expired}
                                        {if $countdown.active}
                                            <span class="label label-success">{l s='Enabled' mod='avsproductcountdown'}</span>
                                        {else}
                                            <span class="label label-danger">{l s='Disabled' mod='avsproductcountdown'}</span>
                                        {/if}
                                    {else}
                                        <span class="label label-default">{l s='Inactive' mod='avsproductcountdown'}</span>
                                    {/if}
                                </td>
                                <td>
                                    {* Edit btn *}
                                    <a href="{$product_link|escape:'html':'UTF-8'}&id_product={$countdown.id_product|intval}&updateproduct&key_tab={$key_tab|escape:'html':'UTF-8'}"
                                       title="{l s='Edit' mod='avsproductcountdown'}" class="edit btn btn-default" target="_blank">
                                        <i class="icon-pencil"></i>
                                    </a>
                                    &nbsp;&nbsp;&nbsp;&nbsp;
                                    {* Remove btn *}
                                    <a href="#" title="{l s='Remove' mod='avsproductcountdown'}" class="edit btn btn-default remove-countdown" data-id-countdown="{$countdown.id_countdown|intval}">
                                        <i class="icon-remove"></i>
                                    </a>
                                </td>
                            </tr>
                        {/foreach}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        var avspc_ajax_url = "{$ajax_url|escape:'quotes':'UTF-8'}";
        var avspc_remove_confirm_txt = "{l s='Are you sure you want to delete this countdown?' mod='avsproductcountdown'}";
    </script>
</div>
