{**
 * 2007-2018 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2018 PrestaShop SA
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}

<div class="block-contact col-lg-3">
  <div class="title_block hidden-md-down">
    <a href="{$urls.pages.stores}">{l s='Store information' d='Shop.Theme.Global'}</a>
  </div>
  <div class="title_block hidden-lg-up collapsed" data-target="#block-contact" data-toggle="collapse">
    <a href="{$urls.pages.stores}">{l s='Store information' d='Shop.Theme.Global'}</a>
    <span class="pull-xs-right">
      <span class="collapse-icons">
        <i class="material-icons add">&#xE313;</i>
        <i class="material-icons remove">&#xE316;</i>
      </span>
    </span>
  </div>
  <ul class="block-content collapse" id="block-contact">
    <div class="block">
      <div class="icon avsaddress"><svg width="20px" height="20px"><use xlink:href="#avsaddress"></use></svg></div>
      <div class="data avsaddress">{$contact_infos.address.formatted nofilter}</div>
    </div>

    {if $contact_infos.phone}
    <div class="block">
      <div class="icon phone"><svg width="20px" height="20px"><use xlink:href="#phone"></use></svg></div>
      <div class="data phone">
        <a href="tel:{$contact_infos.phone}">{$contact_infos.phone}</a>
      </div>
    </div>
    {/if}

    {if $contact_infos.fax}
    <div class="block">
      <div class="icon fax"><svg width="20px" height="20px"><use xlink:href="#fax"></use></svg></div>
      <div class="data fax">
        {$contact_infos.fax}
      </div>
    </div>
    {/if}
    
    {if $contact_infos.email}
    <div class="block">
      <div class="icon email"><svg width="20px" height="20px"><use xlink:href="#email"></use></svg></div>
      <div class="data email">
        <a href="mailto:{$contact_infos.email}">{$contact_infos.email}</a>
      </div>
    </div>
    {/if}
  </ul>
</div>
  
