{**
 * 2007-2018 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2018 PrestaShop SA
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
 {block name='head_charset'}
 <meta charset="utf-8">
 {/block}
 {block name='head_ie_compatibility'}
 <meta http-equiv="x-ua-compatible" content="ie=edge">
 {/block}

 {block name='head_seo'}
 <title>{block name='head_seo_title'}{$page.meta.title}{/block}</title>
 <meta name="description" content="{block name='head_seo_description'}{$page.meta.description}{/block}">
 <meta name="keywords" content="{block name='head_seo_keywords'}{$page.meta.keywords}{/block}">
 {if $page.meta.robots !== 'index'}
 <meta name="robots" content="{$page.meta.robots}">
 {/if}
 {if $page.canonical}
 <link rel="canonical" href="{$page.canonical}">
 {/if}
 {block name='head_hreflang'}
 {foreach from=$urls.alternative_langs item=pageUrl key=code}
 <link rel="alternate" href="{$pageUrl}" hreflang="{$code}">
 {/foreach}
 {/block}
 {/block}

 {block name='head_viewport'}
 <meta name="viewport" content="width=device-width, initial-scale=1">
 {/block}

 {block name='head_icons'}
 <link rel="icon" type="image/vnd.microsoft.icon" href="{$shop.favicon}?{$shop.favicon_update_time}">
 <link rel="shortcut icon" type="image/x-icon" href="{$shop.favicon}?{$shop.favicon_update_time}">
 {/block}

 {block name='stylesheets'}
 {include file="_partials/stylesheets.tpl" stylesheets=$stylesheets}
 {/block}

 {block name='javascript_head'}
 {include file="_partials/javascript.tpl" javascript=$javascript.head vars=$js_custom_vars}
 {/block}

 <svg style="display: none;">
  <symbol id="hcart" viewBox="0 0 511.921 511.921">
    <path d="M190.812,390.961l-10-30h259.943l71.167-210h-401.11l-40-120H0v30h49.188l120,360h23.392c-1.665,4.695-2.58,9.742-2.58,15   c0,24.813,20.187,45,45,45s45-20.187,45-45c0-5.258-0.915-10.305-2.58-15h65.161c-1.665,4.695-2.58,9.742-2.58,15   c0,24.813,20.187,45,45,45s45-20.187,45-45c0-5.258-0.915-10.305-2.58-15H445v-30H190.812z M319.188,330.961h-58.377l-50-150   h58.377L319.188,330.961z M300.812,180.961h58.377l50,150h-58.377L300.812,180.961z M430.118,298.879l-39.306-117.918h79.267   L430.118,298.879z M120.812,180.961h58.377l50,150h-58.377L120.812,180.961z"/>
 </symbol>
 <symbol id="hsearch" viewBox="0 0 129 129">
  <path d="M51.6,96.7c11,0,21-3.9,28.8-10.5l35,35c0.8,0.8,1.8,1.2,2.9,1.2s2.1-0.4,2.9-1.2c1.6-1.6,1.6-4.2,0-5.8l-35-35   c6.5-7.8,10.5-17.9,10.5-28.8c0-24.9-20.2-45.1-45.1-45.1C26.8,6.5,6.5,26.8,6.5,51.6C6.5,76.5,26.8,96.7,51.6,96.7z M51.6,14.7   c20.4,0,36.9,16.6,36.9,36.9C88.5,72,72,88.5,51.6,88.5c-20.4,0-36.9-16.6-36.9-36.9C14.7,31.3,31.3,14.7,51.6,14.7z"></path>
</symbol>

<symbol id="huser" viewBox="0 0 563.43 563.43">
  <path d="M280.79,314.559c83.266,0,150.803-67.538,150.803-150.803S364.055,13.415,280.79,13.415S129.987,80.953,129.987,163.756  S197.524,314.559,280.79,314.559z M280.79,52.735c61.061,0,111.021,49.959,111.021,111.021S341.851,274.776,280.79,274.776  s-111.021-49.959-111.021-111.021S219.728,52.735,280.79,52.735z"></path>
  <path d="M19.891,550.015h523.648c11.102,0,19.891-8.789,19.891-19.891c0-104.082-84.653-189.198-189.198-189.198H189.198  C85.116,340.926,0,425.579,0,530.124C0,541.226,8.789,550.015,19.891,550.015z M189.198,380.708h185.034  c75.864,0,138.313,56.436,148.028,129.524H41.17C50.884,437.607,113.334,380.708,189.198,380.708z"></path>
</symbol>

<symbol id="newsletter" viewBox="0 0 512 512">
  <path d="M507.865,178.913c-0.001-0.005-0.001-0.01-0.003-0.015l-66.988-48.471V40.699c0-5.522-4.477-10-10-10H404    c-5.523,0-10,4.478-10,10c0,5.522,4.477,10,10,10h16.875v189.628l-104.942,85.682l-54.071-39.124    c-3.499-2.531-8.226-2.531-11.725,0l-54.07,39.124L89.624,239.101V50.699H109c5.523,0,10-4.478,10-10c0-5.522-4.477-10-10-10    H79.624c-5.523,0-10,4.478-10,10v90.839c-0.105,0.07-0.214,0.131-0.318,0.206L4.138,178.898c0.001,0.003,0.003,0.006,0.005,0.009    C1.636,180.724,0,183.668,0,187v275c0,27.57,22.43,50,50,50h412c27.57,0,50-22.43,50-50V187    C512,183.671,510.367,180.731,507.865,178.913z M440.875,155.114l44.728,32.364l-44.728,36.519V155.114z M69.624,156.201v66.57    l-43.226-35.293L69.624,156.201z M20,208.074L179.302,338.14L20,453.407V208.074z M462,492H50    c-11.611,0-21.695-6.635-26.68-16.309L256,307.329l232.68,168.362C483.695,485.365,473.611,492,462,492z M492,453.407    L332.698,338.14L492,208.074V453.407z"/>
  <path d="M378.692,60.684L344.76,12.405C339.302,4.638,330.375,0,320.881,0H191.119c-9.494,0-18.421,4.638-23.879,12.404    l-33.932,48.279C129.835,65.625,128,71.428,128,77.467v149.347C128,242.907,141.093,256,157.187,256h197.626    C370.907,256,384,242.907,384,226.813V77.467C384,71.428,382.165,65.625,378.692,60.684z M265.28,20h55.601    c2.989,0,5.798,1.46,7.516,3.904l26.352,37.494H265.28V20z M183.603,23.904C185.321,21.46,188.13,20,191.119,20h54.162v41.398    h-88.029L183.603,23.904z M364,226.813c0,5.066-4.121,9.187-9.187,9.187H157.187c-5.066,0-9.187-4.121-9.187-9.187V81.398h216    V226.813z"/>
  <path d="M253,113.133h-74c-5.523,0-10,4.478-10,10s4.477,10,10,10h74c5.523,0,10-4.478,10-10    C263,117.611,258.523,113.133,253,113.133z"/>
  <path d="M232.333,157.133H179c-5.523,0-10,4.478-10,10c0,5.522,4.477,10,10,10h53.333c5.523,0,10-4.478,10-10    C242.333,161.611,237.856,157.133,232.333,157.133z"/>
  <path d="M281.4,160.06c-1.86-1.86-4.43-2.93-7.07-2.93c-2.63,0-5.21,1.07-7.07,2.93s-2.93,4.44-2.93,7.07s1.07,5.21,2.93,7.07    c1.87,1.869,4.44,2.93,7.07,2.93c2.64,0,5.21-1.061,7.07-2.93c1.87-1.86,2.93-4.431,2.93-7.07    C284.33,164.5,283.27,161.92,281.4,160.06z"/>
</symbol>

<symbol id="newsletterbtn" viewBox="0 0 511.92 511.92">
  <path d="M505.77,46.551c-4.773-3.978-11.344-5.013-17.109-2.697L56.482,218.293c-4.371,1.767-6.482,6.744-4.715,11.115
  s6.744,6.482,11.115,4.715l412.86-166.588l-204.8,241.545c-3.047,3.596-2.602,8.981,0.994,12.028
  c3.596,3.047,8.981,2.602,12.028-0.994L491.861,74.899l-27.785,139.469l-27.989,187.025c-0.384,2.617-1.96,4.909-4.267,6.204
  c-2.212,1.235-4.877,1.358-7.194,0.333l-116.369-45.756l-55.842-23.381c-4.345-1.823-9.346,0.22-11.17,4.565
  c-0.186,0.585-0.307,1.189-0.358,1.801h-0.205l-27.725,107.059l-39.782-138.965l207.36-154.453
  c2.65-1.741,4.117-4.807,3.808-7.963c-0.309-3.156-2.342-5.88-5.279-7.074c-2.937-1.194-6.295-0.661-8.718,1.384L161.92,300.324
  L11.682,239.507c-4.36-1.729-9.298,0.384-11.057,4.732c-1.759,4.348,0.321,9.3,4.657,11.089l151.04,61.116l40.277,140.612
  c2.097,7.263,8.756,12.254,16.316,12.228h0.196c4.121-0.074,8.07-1.663,11.093-4.463c0.298-0.179,0.583-0.379,0.853-0.597
  l82.483-84.343l110.592,43.853c7.107,3.019,15.214,2.565,21.939-1.229c6.93-3.844,11.682-10.689,12.86-18.526l27.913-186.675
  l30.72-154.121C512.842,56.995,510.616,50.605,505.77,46.551z M236.877,427.786l18.014-69.436l28.211,11.844l7.27,2.884
  L236.877,427.786z"/>
</symbol>

<symbol id="quote" viewBox="0 0 95.333 95.332">   
  <path d="M30.512,43.939c-2.348-0.676-4.696-1.019-6.98-1.019c-3.527,0-6.47,0.806-8.752,1.793
  c2.2-8.054,7.485-21.951,18.013-23.516c0.975-0.145,1.774-0.85,2.04-1.799l2.301-8.23c0.194-0.696,0.079-1.441-0.318-2.045
  s-1.035-1.007-1.75-1.105c-0.777-0.106-1.569-0.16-2.354-0.16c-12.637,0-25.152,13.19-30.433,32.076
  c-3.1,11.08-4.009,27.738,3.627,38.223c4.273,5.867,10.507,9,18.529,9.313c0.033,0.001,0.065,0.002,0.098,0.002
  c9.898,0,18.675-6.666,21.345-16.209c1.595-5.705,0.874-11.688-2.032-16.851C40.971,49.307,36.236,45.586,30.512,43.939z"/>
  <path d="M92.471,54.413c-2.875-5.106-7.61-8.827-13.334-10.474c-2.348-0.676-4.696-1.019-6.979-1.019
  c-3.527,0-6.471,0.806-8.753,1.793c2.2-8.054,7.485-21.951,18.014-23.516c0.975-0.145,1.773-0.85,2.04-1.799l2.301-8.23
  c0.194-0.696,0.079-1.441-0.318-2.045c-0.396-0.604-1.034-1.007-1.75-1.105c-0.776-0.106-1.568-0.16-2.354-0.16
  c-12.637,0-25.152,13.19-30.434,32.076c-3.099,11.08-4.008,27.738,3.629,38.225c4.272,5.866,10.507,9,18.528,9.312
  c0.033,0.001,0.065,0.002,0.099,0.002c9.897,0,18.675-6.666,21.345-16.209C96.098,65.559,95.376,59.575,92.471,54.413z"/>
</symbol>

<product style="display: none;">
  <symbol id="pcart" viewBox="0 0 511.921 511.921">
    <path d="M190.812,390.961l-10-30h259.943l71.167-210h-401.11l-40-120H0v30h49.188l120,360h23.392c-1.665,4.695-2.58,9.742-2.58,15   c0,24.813,20.187,45,45,45s45-20.187,45-45c0-5.258-0.915-10.305-2.58-15h65.161c-1.665,4.695-2.58,9.742-2.58,15   c0,24.813,20.187,45,45,45s45-20.187,45-45c0-5.258-0.915-10.305-2.58-15H445v-30H190.812z M319.188,330.961h-58.377l-50-150   h58.377L319.188,330.961z M300.812,180.961h58.377l50,150h-58.377L300.812,180.961z M430.118,298.879l-39.306-117.918h79.267   L430.118,298.879z M120.812,180.961h58.377l50,150h-58.377L120.812,180.961z"/>
  </symbol>
  <symbol id="pview" viewBox="0 0 442.04 442.04">
   <path d="M221.02,341.304c-49.708,0-103.206-19.44-154.71-56.22C27.808,257.59,4.044,230.351,3.051,229.203    c-4.068-4.697-4.068-11.669,0-16.367c0.993-1.146,24.756-28.387,63.259-55.881c51.505-36.777,105.003-56.219,154.71-56.219    c49.708,0,103.207,19.441,154.71,56.219c38.502,27.494,62.266,54.734,63.259,55.881c4.068,4.697,4.068,11.669,0,16.367    c-0.993,1.146-24.756,28.387-63.259,55.881C324.227,321.863,270.729,341.304,221.02,341.304z M29.638,221.021    c9.61,9.799,27.747,27.03,51.694,44.071c32.83,23.361,83.714,51.212,139.688,51.212s106.859-27.851,139.688-51.212    c23.944-17.038,42.082-34.271,51.694-44.071c-9.609-9.799-27.747-27.03-51.694-44.071    c-32.829-23.362-83.714-51.212-139.688-51.212s-106.858,27.85-139.688,51.212C57.388,193.988,39.25,211.219,29.638,221.021z"/>
   <path d="M221.02,298.521c-42.734,0-77.5-34.767-77.5-77.5c0-42.733,34.766-77.5,77.5-77.5c18.794,0,36.924,6.814,51.048,19.188    c5.193,4.549,5.715,12.446,1.166,17.639c-4.549,5.193-12.447,5.714-17.639,1.166c-9.564-8.379-21.844-12.993-34.576-12.993    c-28.949,0-52.5,23.552-52.5,52.5s23.551,52.5,52.5,52.5c28.95,0,52.5-23.552,52.5-52.5c0-6.903,5.597-12.5,12.5-12.5    s12.5,5.597,12.5,12.5C298.521,263.754,263.754,298.521,221.02,298.521z"/>
   <path d="M221.02,246.021c-13.785,0-25-11.215-25-25s11.215-25,25-25c13.786,0,25,11.215,25,25S234.806,246.021,221.02,246.021z"/>
 </symbol>
 <symbol id="poutofstock" viewBox="0 0 544.527 544.527">
   <polygon points="286.334,234.111 148.331,234.111 152.68,286.132 281.986,286.132   "/>
    <polygon points="144.993,384.052 138.331,301.432 22.951,301.432 44.117,384.052   "/>
    <polygon points="146.278,399.352 48.199,399.352 60.916,448.312 150.284,448.312   "/>
    <path d="M424.71,253.111c16.849-16.87,33.694-34.299,50.542-49.6h43.568c27.54,0,27.54-48.96,0-48.96h-52.381    c-5.125,0-9.36,1.799-12.741,4.045c-1.983,1.077-3.927,2.708-5.777,4.56c-21.105,21.132-42.21,42.402-63.318,63.535    c-2.312,2.316-3.95,4.36-5.067,7.42h-77.567l-4.349,52.021h118.178L424.71,253.111z"/>
    <polygon points="18.869,286.132 137.046,286.132 132.698,234.111 5.053,234.111   "/>
    <polygon points="268.748,448.312 272.754,399.352 161.912,399.352 165.914,448.312   "/>
    <polygon points="411.715,301.432 296.334,301.432 289.67,384.052 390.549,384.052   "/>
    <polygon points="386.467,399.352 288.385,399.352 284.382,448.312 373.749,448.312   "/>
    <polygon points="280.701,301.432 153.965,301.432 160.626,384.052 274.036,384.052   "/>
    <circle cx="108.117" cy="503.339" r="41.188"/>
    <circle cx="326.546" cy="503.339" r="41.188"/>
    <path d="M125.351,171.366l3.418-29.707c121.029,13.926,163.694,52.405,163.694,52.405S290.615,46.846,141.651,29.707L145.069,0    L5.506,70.759L125.351,171.366z"/>
 </symbol>
</product>

<footer style="display: none;">
  <symbol id="avsaddress" viewBox="0 0 512 512">   
    <path d="M506.555,208.064L263.859,30.367c-4.68-3.426-11.038-3.426-15.716,0L5.445,208.064
    c-5.928,4.341-7.216,12.665-2.875,18.593s12.666,7.214,18.593,2.875L256,57.588l234.837,171.943c2.368,1.735,5.12,2.57,7.848,2.57
    c4.096,0,8.138-1.885,10.744-5.445C513.771,220.729,512.483,212.405,506.555,208.064z"></path>
    <path d="M442.246,232.543c-7.346,0-13.303,5.956-13.303,13.303v211.749H322.521V342.009c0-36.68-29.842-66.52-66.52-66.52
    s-66.52,29.842-66.52,66.52v115.587H83.058V245.847c0-7.347-5.957-13.303-13.303-13.303s-13.303,5.956-13.303,13.303v225.053
    c0,7.347,5.957,13.303,13.303,13.303h133.029c6.996,0,12.721-5.405,13.251-12.267c0.032-0.311,0.052-0.651,0.052-1.036v-128.89
    c0-22.009,17.905-39.914,39.914-39.914s39.914,17.906,39.914,39.914v128.89c0,0.383,0.02,0.717,0.052,1.024
    c0.524,6.867,6.251,12.279,13.251,12.279h133.029c7.347,0,13.303-5.956,13.303-13.303V245.847
    C455.549,238.499,449.593,232.543,442.246,232.543z"></path>
  </symbol>

  <symbol id="phone" viewBox="0 0 211.621 211.621">   
    <path d="M180.948,27.722C163.07,9.844,139.299-0.001,114.017,0c-4.143,0-7.5,3.358-7.5,7.5c0,4.142,3.358,7.5,7.5,7.5
    c21.276-0.001,41.279,8.284,56.324,23.329c15.046,15.045,23.331,35.049,23.33,56.326c0,4.142,3.357,7.5,7.5,7.5
    c4.142,0,7.5-3.358,7.5-7.499C208.672,69.371,198.827,45.6,180.948,27.722z"></path>
    <path d="M150.096,94.656c0,4.142,3.358,7.5,7.501,7.499c4.142,0,7.499-3.358,7.499-7.5c-0.002-28.16-22.916-51.073-51.078-51.077
    c-0.001,0,0,0-0.001,0c-4.142,0-7.499,3.357-7.5,7.499c0,4.142,3.357,7.5,7.499,7.501
    C133.909,58.581,150.094,74.765,150.096,94.656z"></path>
    <path d="M133.5,132.896c-11.432-0.592-17.256,7.91-20.049,11.994c-2.339,3.419-1.463,8.086,1.956,10.425
    c3.419,2.339,8.086,1.463,10.425-1.956c3.3-4.825,4.795-5.584,6.823-5.488c6.491,0.763,32.056,19.497,34.616,25.355
    c0.642,1.725,0.618,3.416-0.071,5.473c-2.684,7.966-7.127,13.564-12.851,16.188c-5.438,2.493-12.105,2.267-19.276-0.651
    c-26.777-10.914-50.171-26.145-69.531-45.271c-0.008-0.008-0.016-0.015-0.023-0.023c-19.086-19.341-34.289-42.705-45.185-69.441
    c-2.919-7.177-3.145-13.845-0.652-19.282c2.624-5.724,8.222-10.167,16.181-12.848c2.064-0.692,3.752-0.714,5.461-0.078
    c5.879,2.569,24.612,28.133,25.368,34.551c0.108,2.104-0.657,3.598-5.478,6.892c-3.42,2.336-4.299,7.003-1.962,10.423
    c2.336,3.42,7.002,4.298,10.423,1.962c4.086-2.79,12.586-8.598,11.996-20.069C81.021,69.07,57.713,37.339,46.576,33.244
    c-4.953-1.846-10.163-1.878-15.491-0.09C19.097,37.191,10.439,44.389,6.047,53.969c-4.26,9.294-4.125,20.077,0.395,31.189
    c11.661,28.612,27.976,53.647,48.491,74.412c0.05,0.051,0.101,0.101,0.153,0.15c20.75,20.477,45.756,36.762,74.33,48.409
    c5.722,2.327,11.357,3.492,16.746,3.492c5.074,0,9.932-1.032,14.438-3.098c9.581-4.391,16.778-13.048,20.818-25.044
    c1.784-5.318,1.755-10.526-0.077-15.456C177.232,156.856,145.501,133.548,133.5,132.896z"></path>
  </symbol>

  <symbol id="fax" viewBox="0 0 512 512">   
    <rect x="125.585" y="188.377" width="144.906" height="19.321"></rect>
    <rect x="125.585" y="256" width="193.208" height="19.321"></rect>
    <rect x="125.585" y="323.623" width="193.208" height="19.321"></rect>
    <path d="M464.887,33.811H49.528C22.882,33.811,0,54.297,0,80.958v173.783c0,26.66,21.67,48.354,48.302,48.354
    c10.915,0,21.736-3.774,28.981-9.899v174.125c0,5.335,5.533,10.868,10.868,10.868h338.113c5.335,0,8.453-5.533,8.453-10.868
    V293.196c9.66,6.125,18.066,9.899,28.981,9.899c26.632,0,48.302-21.693,48.302-48.354V80.958
    C512,54.297,491.533,33.811,464.887,33.811z M415.396,254.83v204.038H96.604V254.83v-96.641c0-5.326,5.571-8.453,10.939-8.453
    h299.33c5.368,0,8.524,3.127,8.524,8.453V254.83z M492.679,254.741c0,16.009-13,29.033-28.981,29.033
    s-28.981-12.986-28.981-28.943v-96.641v-8.453h19.321v-19.321h-47.165h-299.33h-49.58v19.321h19.321v8.453v96.641
    c0,15.958-13,28.943-28.981,28.943c-15.981,0-28.981-13.024-28.981-29.033V80.958c0-16.009,14.217-27.826,30.208-27.826h415.359
    c15.991,0,27.792,11.816,27.792,27.826V254.741z"></path>
  </symbol>

  <symbol id="email" viewBox="0 0 512.001 512.001">   
    <path d="M511.646,126.634c-0.021-14.449-11.782-26.189-26.227-26.189c-0.012,0-0.024,0-0.034,0L26.19,101.076
    c-7.005,0.009-13.588,2.746-18.535,7.706C2.709,113.743-0.009,120.334,0,127.337l0.355,258.029
    c0.009,7.005,2.746,13.588,7.706,18.535c4.951,4.938,11.526,7.655,18.519,7.655c0.012,0,0.025,0,0.035,0l459.194-0.631
    c14.458-0.02,26.207-11.799,26.19-26.261L511.646,126.634z M456.611,126.71L256.02,266.154L55.04,127.262L456.611,126.71z
    M340.846,292.471l118.971,92.265l-407.972,0.56l119.696-92.825c5.722-4.439,6.764-12.675,2.326-18.399
    c-4.439-5.722-12.675-6.764-18.399-2.326L26.561,371.715l-0.32-232.475l222.344,153.657c2.244,1.551,4.849,2.325,7.455,2.325
    c2.617,0,5.236-0.783,7.485-2.346l221.912-154.264l0.336,233.066l-128.856-99.931c-5.719-4.437-13.959-3.396-18.397,2.326
    C334.081,279.795,335.122,288.033,340.846,292.471z"></path>
  </symbol>
</footer>


</svg>

{block name='hook_header'}
{$HOOK_HEADER nofilter}
{/block}

{block name='hook_extra'}{/block}
